> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thanx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User

> This endpoint will return one particular user of the specified merchant.

<Info>
  Scope required: `users.read`
</Info>

<Note>
  The user's phone number is not gathered by Thanx with the permission to use it
  for marketing.
</Note>

### Parameters

<ParamField path="id" type="string" required>
  User ID
</ParamField>

<ParamField query="merchant_id" type="string" required>
  Merchant ID
</ParamField>

### Response

<Snippet file="entities/user.mdx" />

<Snippet file="entities/user/partner.mdx" />

<RequestExample>
  ```bash Get User theme={null}
  curl https://api.thanxsandbox.com/partner/users/:id \
    -X GET \
    -H 'X-ClientId: {client_id}' \
    -H 'Accept-Version: v4.0' \
    -H 'Content-Type: application/json' \
    -H 'Authorization: Bearer {access_token}' \
  ```
</RequestExample>

<ResponseExample>
  ```json Response Example theme={null}
  {
    "user": {
      "id": "wroeiu2304hfwf",
      "email": "john.smith@example.com",
      "phone": "+14158672345",
      "first_name": "Jane",
      "last_name": "Smith",
      "birth_date": {
        "year": 1987,
        "month": 8,
        "day": 14
      },
      "zip_code": "12345",
      "updated_at": "2025-02-01T19:00:00Z",
      "loyalty": {
        "tier": "silver",
        "points_balance": 120.50,
        "user_joined_at": "2023-12-01T19:00:00Z"
      },
      "communication_settings": {
        "marketing_general_email": true
      }
    }
  }
  ```
</ResponseExample>
